6

Is it really necessary to have ?

Is there really that much difference from 4.4.0, or, really, anything that would go under ?

Frankly, I think that all it does is prompt people to use tags to describe their devices rather than to tag questions which are specific to that version of Android.

Also, I thought we agreed some time ago there was no point in going to that level of versioning. That {major}.{minor}-{codename} would be sufficient.

  • 1
    We've certainly never used sub-versions in tags previously. I don't see a compelling reason to do so now. – eldarerathis Jan 2 '14 at 15:45
  • I could possibly see a reason if the API level changed. But presumably every device that can get 4.4 can (and will) get 4.4.2. – ale Jan 2 '14 at 15:47
  • Sure, I could see that being a valid reason, too. I don't think that the API level has ever been changed on micro versions, though (and, indeed, it has not in this case either; API level 19 encompasses 4.4.0 - 4.4.2). Given that, I'd agree with your assessment that the 4.4.2 tag is not needed. – eldarerathis Jan 2 '14 at 15:49
  • As faer as I'd heard 4.4.1 & 4.4.2 are just minor bug-fixes for 4.4. I can't see any reason not to group all three under a 4.4 tag – GAThrawn Jan 2 '14 at 15:51
  • 1
    AFAIK the only time subversion changes introduced a new api level was with 2.3. But this shouldn't concern use as end-user site. Only if a good reason, a user visible difference, should justify a subversion tag. – Flow Jan 2 '14 at 15:53
  • Ah, you're right @Flow. It did change between 2.3.2 and 2.3.3. I do agree, though, if it's not a change a user would be impacted by or notice, then it's not important enough to warrant a separate tag. – eldarerathis Jan 2 '14 at 15:57
6

If there is no particluar reason for a subversion tag, which seems to be the case, then we don't need one and the two tags should get merged.

  • There are only 7 questions with 4.4.2-kitkat. I can go ahead and clean them up. We'd still need some upvotes on the synonym (or for a Mod to add it by fiat). – ale Jan 2 '14 at 16:33
  • 1
    4.4.2-kitkat got merged into 4.4-kitkat – Flow Jan 2 '14 at 16:38

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .